using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.BD
{
    /// <summary>
    /// 区域表
    /// </summary>
    [Description("区域表")]
    public partial class T_BD_PLACE : TreeEntityBase<T_BD_PLACE>
    {
        [Description("区域名称")]
        [AcronymField("NAME_ACRONYM")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string NAME { get; set; }

        [Description("区域首字母拼写")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string NAME_ACRONYM { get; set; }

        [Description("顺序")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int NUM { get; set; }

        [Description("区域属性")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("BDPlaceEnum")]
        public int PROP { get; set; }

    }
}
